org.eclipse.viatra.query.runtime.rete.misc

## Class DefaultDeltaMonitor

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.network.BaseNode
  - - org.eclipse.viatra.query.runtime.rete.misc.SimpleReceiver
    - - org.eclipse.viatra.query.runtime.rete.misc.DeltaMonitor<Tuple>
      - - org.eclipse.viatra.query.runtime.rete.misc.DefaultDeltaMonitor

- All Implemented Interfaces:
    Clearable, Node, Receiver

      public class DefaultDeltaMonitor
      extends DeltaMonitor<Tuple>

  Default configuration for DeltaMonitor.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.misc.DeltaMonitor

      `matchFoundEvents, matchLostEvents`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.misc.SimpleReceiver

      `mailbox, parent`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `nodeId, reteContainer, tag, traceInfos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDeltaMonitor(Network network)`
    `DefaultDeltaMonitor(ReteContainer reteContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tuple` | `statelessConvert(Tuple tuple)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.misc.DeltaMonitor

      `clear, statelessFilter, update`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.misc.SimpleReceiver

      `appendParent, assignTraceInfo, disconnectFromNetwork, getMailbox, getParents, instantiateMailbox, removeParent`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfoPatternsEnumerated, getTraceInfos, setTag, toString, toStringCore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Receiver

      `batchUpdate`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getCommunicationTracker, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### DefaultDeltaMonitor

          public DefaultDeltaMonitor(ReteContainer reteContainer)

      Parameters:
        `reteContainer` -

    - #### DefaultDeltaMonitor

          public DefaultDeltaMonitor(Network network)

      Parameters:
        `network` -

  - ### Method Detail

    - #### statelessConvert

          public Tuple statelessConvert(Tuple tuple)

      Specified by:
        `statelessConvert` in class `DeltaMonitor<Tuple>`